zpackages {base} | R Documentation

## Listing of Packages

### Description

`.packages` returns information about package availability.

### Usage

    .packages(all.available = FALSE, lib.loc = NULL)

### Arguments

`all.available` | logical; if `TRUE` return a character vector of all available packages in `lib.loc`.
`lib.loc` | a character vector describing the location of R library trees to search through, or `NULL`. The default value of `NULL` corresponds to `.libPaths()`.

### Details

`.packages()` returns the names of the currently attached packages invisibly whereas `.packages(all.available = TRUE)` gives (visibly) all packages available in the library location path `lib.loc`.

For a package to be regarded as being ‘available’ it must have valid metadata (and hence be an installed package). However, this will report a package as available if the metadata does not match the directory name: use `find.package` to confirm that the metadata match or `installed.packages` for a much slower but more comprehensive check of ‘available’ packages.

### Value

A character vector of package base names, invisible unless `all.available = TRUE`.

### Author(s)

R core; Guido Masarotto for the `all.available=TRUE` part of `.packages`.

### See Also

`library`, `.libPaths`, `installed.packages`.

### Examples

    (.packages())               # maybe just "base"
    .packages(all.available = TRUE) # return all available as character vector
    require(splines)
    (.packages())               # "splines", too
    detach("package:splines")

[Package base version 2.15.1 Index]